Gane1985
Mechanical
- Jul 28, 2013
- 2
Hello,
I'm not a programmed, so I rely on your support for a simple automation in Catia V5. I got a coding for deleting all deactivated features in Catia part. Can somebody update this coding to delete also the deactivated sketches. Thanks in advance for your support.
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
'If Err.Number=0 Then
Dim selection1 'As Selection
Set selection1 = partDocument1.Selection
selection1.Search "CATPrtSearch.PartDesign Feature.Activity=FALSE"
'if no deactivated components then end program
If selection1.Count = 0 Then
Msgbox "No deactivated features."
Exit Sub
Else
'delete all deactivated components then update the part
selection1.Delete
part1.Update
End If
'error handling
'Else
' Msgbox "Not a part document! Open a single part document."
'End If
End Sub
I'm not a programmed, so I rely on your support for a simple automation in Catia V5. I got a coding for deleting all deactivated features in Catia part. Can somebody update this coding to delete also the deactivated sketches. Thanks in advance for your support.
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
'If Err.Number=0 Then
Dim selection1 'As Selection
Set selection1 = partDocument1.Selection
selection1.Search "CATPrtSearch.PartDesign Feature.Activity=FALSE"
'if no deactivated components then end program
If selection1.Count = 0 Then
Msgbox "No deactivated features."
Exit Sub
Else
'delete all deactivated components then update the part
selection1.Delete
part1.Update
End If
'error handling
'Else
' Msgbox "Not a part document! Open a single part document."
'End If
End Sub